The system is: Linux - 5.15.0-139-generic - x86_64
Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
Compiler: /opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc 
Build flags: 
Id flags:  

The output was:
0


Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"

The C compiler identification is GNU, found in "/home/cxh/Desktop/mqtt_client/build/CMakeFiles/3.16.3/CompilerIdC/a.out"

Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
Compiler: /opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++ 
Build flags: 
Id flags:  

The output was:
0


Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.out"

The CXX compiler identification is GNU, found in "/home/cxh/Desktop/mqtt_client/build/CMakeFiles/3.16.3/CompilerIdCXX/a.out"

Determining if the C compiler works passed with the following output:
Change Dir: /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_68a76/fast && /usr/bin/make -f CMakeFiles/cmTC_68a76.dir/build.make CMakeFiles/cmTC_68a76.dir/build
make[1]: 进入目录“/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp”
Building C object CMakeFiles/cmTC_68a76.dir/testCCompiler.c.o
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc    -o CMakeFiles/cmTC_68a76.dir/testCCompiler.c.o   -c /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp/testCCompiler.c
Linking C executable cmTC_68a76
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_68a76.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc      CMakeFiles/cmTC_68a76.dir/testCCompiler.c.o  -o cmTC_68a76 
make[1]: 离开目录“/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp”



Detecting C compiler ABI info compiled with the following output:
Change Dir: /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_8accc/fast && /usr/bin/make -f CMakeFiles/cmTC_8accc.dir/build.make CMakeFiles/cmTC_8accc.dir/build
make[1]: Entering directory '/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc   -v -o CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o   -c /usr/share/cmake-3.16/Modules/CMakeCCompilerABI.c
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc
Target: aarch64-linux-gnu
Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib
Thread model: posix
gcc version 6.3.0 (HC&C V100R002C00B027_20181107) 
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/cc1 -quiet -v -imultiarch aarch64-linux-gnu -iprefix /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/ -isysroot /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target /usr/share/cmake-3.16/Modules/CMakeCCompilerABI.c -quiet -dumpbase CMakeCCompilerABI.c -march=armv8-a -mlittle-endian -mabi=lp64 -auxbase-strip CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o -version -fno-tree-coalesce-vars -o /tmp/ccAoeUkI.s
GNU C11 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 6.1.2, MPFR version 3.1.5, MPC version 1.0.3, isl version none
GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include/aarch64-linux-gnu"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include/aarch64-linux-gnu"
#include "..." search starts here:
#include <...> search starts here:
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include
End of search list.
GNU C11 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 6.1.2, MPFR version 3.1.5, MPC version 1.0.3, isl version none
GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096
Compiler executable checksum: 708f7131cae8c6b512eb4cea76ce06c9
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/as -v -EL -march=armv8-a -mabi=lp64 -o CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o /tmp/ccAoeUkI.s
GNU assembler version 2.29 (aarch64-linux-gnu) using BFD version (HC@bfd_version_package@C V100R002C00B027_20181107) 2.29
COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
Linking C executable cmTC_8accc
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_8accc.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc     -v CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o  -o cmTC_8accc 
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc
COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper
Target: aarch64-linux-gnu
Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib
Thread model: posix
gcc version 6.3.0 (HC&C V100R002C00B027_20181107) 
COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_8accc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/collect2 -plugin /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/liblto_plugin.so -plugin-opt=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper -plugin-opt=-fresolution=/tmp/ccstOLEL.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --sysroot=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-linux-aarch64.so.1 -X -EL -maarch64linux --fix-cortex-a53-835769 --fix-cortex-a53-843419 -o cmTC_8accc /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtbegin.o -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtend.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crtn.o
COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_8accc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
make[1]: Leaving directory '/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp'



Parsed C implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include]
  end of search list found
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/include]
  implicit include dirs: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/include]


Parsed C implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/usr/bin/make cmTC_8accc/fast && /usr/bin/make -f CMakeFiles/cmTC_8accc.dir/build.make CMakeFiles/cmTC_8accc.dir/build]
  ignore line: [make[1]: Entering directory '/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp']
  ignore line: [Building C object CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o]
  ignore line: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc   -v -o CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o   -c /usr/share/cmake-3.16/Modules/CMakeCCompilerABI.c]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc]
  ignore line: [Target: aarch64-linux-gnu]
  ignore line: [Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 6.3.0 (HC&C V100R002C00B027_20181107) ]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/cc1 -quiet -v -imultiarch aarch64-linux-gnu -iprefix /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/ -isysroot /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target /usr/share/cmake-3.16/Modules/CMakeCCompilerABI.c -quiet -dumpbase CMakeCCompilerABI.c -march=armv8-a -mlittle-endian -mabi=lp64 -auxbase-strip CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o -version -fno-tree-coalesce-vars -o /tmp/ccAoeUkI.s]
  ignore line: [GNU C11 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44)  GMP version 6.1.2  MPFR version 3.1.5  MPC version 1.0.3  isl version none]
  ignore line: [GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include/aarch64-linux-gnu"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include/aarch64-linux-gnu"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include]
  ignore line: [End of search list.]
  ignore line: [GNU C11 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44)  GMP version 6.1.2  MPFR version 3.1.5  MPC version 1.0.3  isl version none]
  ignore line: [GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096]
  ignore line: [Compiler executable checksum: 708f7131cae8c6b512eb4cea76ce06c9]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/as -v -EL -march=armv8-a -mabi=lp64 -o CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o /tmp/ccAoeUkI.s]
  ignore line: [GNU assembler version 2.29 (aarch64-linux-gnu) using BFD version (HC@bfd_version_package@C V100R002C00B027_20181107) 2.29]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o' '-c' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  ignore line: [Linking C executable cmTC_8accc]
  ignore line: [/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_8accc.dir/link.txt --verbose=1]
  ignore line: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc     -v CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o  -o cmTC_8accc ]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-gcc]
  ignore line: [COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper]
  ignore line: [Target: aarch64-linux-gnu]
  ignore line: [Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 6.3.0 (HC&C V100R002C00B027_20181107) ]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_8accc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  link line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/collect2 -plugin /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/liblto_plugin.so -plugin-opt=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper -plugin-opt=-fresolution=/tmp/ccstOLEL.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --sysroot=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-linux-aarch64.so.1 -X -EL -maarch64linux --fix-cortex-a53-835769 --fix-cortex-a53-843419 -o cmTC_8accc /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtbegin.o -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtend.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crtn.o]
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/collect2] ==> ignore
    arg [-plugin] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/liblto_plugin.so] ==> ignore
    arg [-plugin-opt=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper] ==> ignore
    arg [-plugin-opt=-fresolution=/tmp/ccstOLEL.res] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
    arg [-plugin-opt=-pass-through=-lc] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
    arg [--sysroot=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/lib/ld-linux-aarch64.so.1] ==> ignore
    arg [-X] ==> ignore
    arg [-EL] ==> ignore
    arg [-maarch64linux] ==> ignore
    arg [--fix-cortex-a53-835769] ==> ignore
    arg [--fix-cortex-a53-843419] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_8accc] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crt1.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crti.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtbegin.o] ==> ignore
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib]
    arg [CMakeFiles/cmTC_8accc.dir/CMakeCCompilerABI.c.o] ==> ignore
    arg [-lgcc] ==> lib [gcc]
    arg [--as-needed] ==> ignore
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [--no-as-needed] ==> ignore
    arg [-lc] ==> lib [c]
    arg [-lgcc] ==> lib [gcc]
    arg [--as-needed] ==> ignore
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [--no-as-needed] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtend.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crtn.o] ==> ignore
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib64]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/lib]
  implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
  implicit dirs: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib64;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/lib;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/lib]
  implicit fwks: []


Determining if the CXX compiler works passed with the following output:
Change Dir: /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_c39f8/fast && /usr/bin/make -f CMakeFiles/cmTC_c39f8.dir/build.make CMakeFiles/cmTC_c39f8.dir/build
make[1]: 进入目录“/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp”
Building CXX object CMakeFiles/cmTC_c39f8.dir/testCXXCompiler.cxx.o
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++     -o CMakeFiles/cmTC_c39f8.dir/testCXXCompiler.cxx.o -c /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp/testCXXCompiler.cxx
Linking CXX executable cmTC_c39f8
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_c39f8.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++       CMakeFiles/cmTC_c39f8.dir/testCXXCompiler.cxx.o  -o cmTC_c39f8 
make[1]: 离开目录“/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp”



Detecting CXX compiler ABI info compiled with the following output:
Change Dir: /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp

Run Build Command(s):/usr/bin/make cmTC_3229a/fast && /usr/bin/make -f CMakeFiles/cmTC_3229a.dir/build.make CMakeFiles/cmTC_3229a.dir/build
make[1]: Entering directory '/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp'
Building CXX object CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++    -v -o CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake-3.16/Modules/CMakeCXXCompilerABI.cpp
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++
Target: aarch64-linux-gnu
Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib
Thread model: posix
gcc version 6.3.0 (HC&C V100R002C00B027_20181107) 
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/cc1plus -quiet -v -imultiarch aarch64-linux-gnu -iprefix /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/ -isysroot /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target -D_GNU_SOURCE /usr/share/cmake-3.16/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpbase CMakeCXXCompilerABI.cpp -march=armv8-a -mlittle-endian -mabi=lp64 -auxbase-strip CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o -version -fno-tree-coalesce-vars -o /tmp/ccInOmDQ.s
GNU C++14 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 6.1.2, MPFR version 3.1.5, MPC version 1.0.3, isl version none
GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/backward"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include/aarch64-linux-gnu"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed"
ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include"
ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include/aarch64-linux-gnu"
#include "..." search starts here:
#include <...> search starts here:
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/backward
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include
End of search list.
GNU C++14 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)
	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44), GMP version 6.1.2, MPFR version 3.1.5, MPC version 1.0.3, isl version none
GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096
Compiler executable checksum: 15cb2deb336c2c1c4f5be0dffeeaf970
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/as -v -EL -march=armv8-a -mabi=lp64 -o CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccInOmDQ.s
GNU assembler version 2.29 (aarch64-linux-gnu) using BFD version (HC@bfd_version_package@C V100R002C00B027_20181107) 2.29
COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
Linking CXX executable cmTC_3229a
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_3229a.dir/link.txt --verbose=1
/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++      -v CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o  -o cmTC_3229a 
Using built-in specs.
COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++
COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper
Target: aarch64-linux-gnu
Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib
Thread model: posix
gcc version 6.3.0 (HC&C V100R002C00B027_20181107) 
COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/
LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/
COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_3229a' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
 /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/collect2 -plugin /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/liblto_plugin.so -plugin-opt=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper -plugin-opt=-fresolution=/tmp/ccYMMiGT.res -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc --sysroot=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-linux-aarch64.so.1 -X -EL -maarch64linux --fix-cortex-a53-835769 --fix-cortex-a53-843419 -o cmTC_3229a /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtbegin.o -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtend.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crtn.o
COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_3229a' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars'
make[1]: Leaving directory '/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp'



Parsed CXX implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/backward]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include]
    add: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include]
  end of search list found
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include/c++/6.3.0]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/backward] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include/c++/6.3.0/backward]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include]
  collapse include dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/include]
  implicit include dirs: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include/c++/6.3.0;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include/c++/6.3.0/backward;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/include;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/include]


Parsed CXX implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/usr/bin/make cmTC_3229a/fast && /usr/bin/make -f CMakeFiles/cmTC_3229a.dir/build.make CMakeFiles/cmTC_3229a.dir/build]
  ignore line: [make[1]: Entering directory '/home/cxh/Desktop/mqtt_client/build/CMakeFiles/CMakeTmp']
  ignore line: [Building CXX object CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o]
  ignore line: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++    -v -o CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake-3.16/Modules/CMakeCXXCompilerABI.cpp]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++]
  ignore line: [Target: aarch64-linux-gnu]
  ignore line: [Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 6.3.0 (HC&C V100R002C00B027_20181107) ]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/cc1plus -quiet -v -imultiarch aarch64-linux-gnu -iprefix /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/ -isysroot /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target -D_GNU_SOURCE /usr/share/cmake-3.16/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpbase CMakeCXXCompilerABI.cpp -march=armv8-a -mlittle-endian -mabi=lp64 -auxbase-strip CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o -version -fno-tree-coalesce-vars -o /tmp/ccInOmDQ.s]
  ignore line: [GNU C++14 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44)  GMP version 6.1.2  MPFR version 3.1.5  MPC version 1.0.3  isl version none]
  ignore line: [GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/backward"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include/aarch64-linux-gnu"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/local/include"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed"]
  ignore line: [ignoring duplicate directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/../../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include"]
  ignore line: [ignoring nonexistent directory "/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include/aarch64-linux-gnu"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/aarch64-linux-gnu]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include/c++/6.3.0/backward]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/include-fixed]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/include]
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/include]
  ignore line: [End of search list.]
  ignore line: [GNU C++14 (HC&C V100R002C00B027_20181107) version 6.3.0 (aarch64-linux-gnu)]
  ignore line: [	compiled by GNU C version 4.1.2 20080704 (Red Hat 4.1.2-44)  GMP version 6.1.2  MPFR version 3.1.5  MPC version 1.0.3  isl version none]
  ignore line: [GGC heuristics: --param ggc-min-expand=30 --param ggc-min-heapsize=4096]
  ignore line: [Compiler executable checksum: 15cb2deb336c2c1c4f5be0dffeeaf970]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  ignore line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/as -v -EL -march=armv8-a -mabi=lp64 -o CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccInOmDQ.s]
  ignore line: [GNU assembler version 2.29 (aarch64-linux-gnu) using BFD version (HC@bfd_version_package@C V100R002C00B027_20181107) 2.29]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o' '-c' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  ignore line: [Linking CXX executable cmTC_3229a]
  ignore line: [/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_3229a.dir/link.txt --verbose=1]
  ignore line: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++      -v CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o  -o cmTC_3229a ]
  ignore line: [Using built-in specs.]
  ignore line: [COLLECT_GCC=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/bin/aarch64-himix100-linux-g++]
  ignore line: [COLLECT_LTO_WRAPPER=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper]
  ignore line: [Target: aarch64-linux-gnu]
  ignore line: [Configured with: /home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/src/gcc-6.3.0/configure --build=i386-redhat-linux --host=i386-redhat-linux --target=aarch64-linux-gnu --with-arch=armv8-a --prefix=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install --with-specs='%{!ftree-coalesce-vars:-fno-tree-coalesce-vars}' --disable-libmudflap --disable-libssp --enable-gold=yes --disable-libstdcxx-pch --disable-multilib --enable-multiarch --with-gnu-as --with-gnu-ld --enable-libgomp --enable-gnu-indirect-function --enable-checking=yes --enable-lto --enable-c99 --enable-long-long --disable-nls --enable-fix-cortex-a53-835769 --enable-fix-cortex-a53-843419 --enable-shared --with-pkgversion='HC&C V100R002C00B027_20181107' --enable-languages=c,c++ --with-headers=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target/usr/include --with-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-build-sysroot=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/target --with-gmp=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpfr=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-mpc=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-cloog=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/obj/host-libs/usr --with-build-time-tools=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/aarch64-linux-gnu/bin --libdir=/home/sying/SDK_CPU_UNIFIED/build/script/aarch64-himix100-linux/aarch64_himix100_build_dir/install/lib]
  ignore line: [Thread model: posix]
  ignore line: [gcc version 6.3.0 (HC&C V100R002C00B027_20181107) ]
  ignore line: [COMPILER_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/bin/]
  ignore line: [LIBRARY_PATH=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib/:/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/]
  ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_3229a' '-shared-libgcc' '-march=armv8-a' '-mlittle-endian' '-mabi=lp64' '-fno-tree-coalesce-vars']
  link line: [ /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/collect2 -plugin /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/liblto_plugin.so -plugin-opt=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper -plugin-opt=-fresolution=/tmp/ccYMMiGT.res -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc --sysroot=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target --eh-frame-hdr -dynamic-linker /lib/ld-linux-aarch64.so.1 -X -EL -maarch64linux --fix-cortex-a53-835769 --fix-cortex-a53-843419 -o cmTC_3229a /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crt1.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crti.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtbegin.o -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64 -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib -L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtend.o /opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crtn.o]
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/collect2] ==> ignore
    arg [-plugin] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/liblto_plugin.so] ==> ignore
    arg [-plugin-opt=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../libexec/gcc/aarch64-linux-gnu/6.3.0/lto-wrapper] ==> ignore
    arg [-plugin-opt=-fresolution=/tmp/ccYMMiGT.res] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [-plugin-opt=-pass-through=-lc] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
    arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
    arg [--sysroot=/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/lib/ld-linux-aarch64.so.1] ==> ignore
    arg [-X] ==> ignore
    arg [-EL] ==> ignore
    arg [-maarch64linux] ==> ignore
    arg [--fix-cortex-a53-835769] ==> ignore
    arg [--fix-cortex-a53-843419] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_3229a] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crt1.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crti.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtbegin.o] ==> ignore
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib]
    arg [-L/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib] ==> dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib]
    arg [CMakeFiles/cmTC_3229a.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
    arg [-lstdc++] ==> lib [stdc++]
    arg [-lm] ==> lib [m]
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [-lgcc] ==> lib [gcc]
    arg [-lc] ==> lib [c]
    arg [-lgcc_s] ==> lib [gcc_s]
    arg [-lgcc] ==> lib [gcc]
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/crtend.o] ==> ignore
    arg [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib/crtn.o] ==> ignore
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib/../lib64] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib64]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../lib/gcc/aarch64-linux-gnu/6.3.0/../../../../aarch64-linux-gnu/lib] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/lib] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/lib]
  collapse library dir [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/host_bin/../target/usr/lib] ==> [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/lib]
  implicit libs: [stdc++;m;gcc_s;gcc;c;gcc_s;gcc]
  implicit dirs: [/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu/6.3.0;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc/aarch64-linux-gnu;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/lib/gcc;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib64;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/aarch64-linux-gnu/lib;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/lib;/opt/hisi-linux/x86-arm/aarch64-himix100-linux/target/usr/lib]
  implicit fwks: []


